<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="bookingServiceMember">
            <h2><span>Booking Service Member</span> {{ bookingServiceMember.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>User Id</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.userId }}</span>
                </dd>
                <dt><span>Product Price Rule</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.productPriceRule }}</span>
                </dd>
                <dt><span>Sku Id</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.skuId }}</span>
                </dd>
                <dt><span>Price</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.price }}</span>
                </dd>
                <dt><span>Remark</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.remark }}</span>
                </dd>
                <dt><span>Start Time</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.startTime }}</span>
                </dd>
                <dt><span>End Time</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.endTime }}</span>
                </dd>
                <dt><span>Image Upload</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.imageUpload }}</span>
                </dd>
                <dt><span>Booking Detail</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.bookingDetail }}</span>
                </dd>
                <dt><span>Created By</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.createdBy }}</span>
                </dd>
                <dt><span>Updated By</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.updatedBy }}</span>
                </dd>
                <dt><span>Created At</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.createdAt }}</span>
                </dd>
                <dt><span>Updated At</span></dt>
                <dd>
                    <span>{{ bookingServiceMember.updatedAt }}</span>
                </dd>
                <dt><span>Booking Status Id</span></dt>
                <dd>
                    <div *ngIf="bookingServiceMember.bookingStatusId">
                        <a [routerLink]="['/booking-status', bookingServiceMember.bookingStatusId?.id, 'view']">{{ bookingServiceMember.bookingStatusId?.id }}</a>
                    </div>
                </dd>
                <dt><span>Job Assignment Id</span></dt>
                <dd>
                    <div *ngIf="bookingServiceMember.jobAssignmentId">
                        <a [routerLink]="['/job-assignment', bookingServiceMember.jobAssignmentId?.id, 'view']">{{ bookingServiceMember.jobAssignmentId?.id }}</a>
                    </div>
                </dd>
                <dt><span>Booking Services</span></dt>
                <dd>
                    <div *ngIf="bookingServiceMember.bookingServices">
                        <a [routerLink]="['/booking-services', bookingServiceMember.bookingServices?.id, 'view']">{{ bookingServiceMember.bookingServices?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/booking-service-member', bookingServiceMember.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
